## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanNamespacesStack Class Reference

`#include <XalanNamespacesStack.hpp>`

Collaboration diagram for XalanNamespacesStack:

[legend]
List of all members.

## Public Types

- typedef XalanNamespacesStackEntry value_type
- typedef XalanDeque<value_type,
  ConstructWithMemoryManagerTraits<
  value_type> > NamespacesStackType
- typedef XalanVector<bool> BoolVectorType
- typedef NamespacesStackType::iterator iterator
- typedef NamespacesStackType::reverse_iterator reverse_iterator
- typedef NamespacesStackType::const_iterator const_iterator
- typedef NamespacesStackType::const_reverse_iterator const_reverse_iterator
- typedef NamespacesStackType::size_type size_type
- typedef const XalanDOMString*
  (value_type::* MemberFunctionType )(const XalanDOMString &) const

## Public Methods

- XalanNamespacesStack (MemoryManagerType &theManager)
- ~XalanNamespacesStack ()
- void addDeclaration (const XalanDOMString &thePrefix, const XalanDOMString &theURI)
- void addDeclaration (const XalanDOMString &thePrefix, const XalanDOMChar *theURI)
- void addDeclaration (const XalanDOMString &thePrefix, const XalanDOMChar *theURI, XalanDOMString::size_type theLength)
- void pushContext ()
- void popContext ()
- const XalanDOMString* getNamespaceForPrefix (const XalanDOMString &thePrefix) const
- const XalanDOMString* getPrefixForNamespace (const XalanDOMString &theURI) const
- bool prefixIsPresentLocal (const XalanDOMString &thePrefix)
    See if the prefix has been mapped to a namespace in the current context, without looking down the stack of namespaces. More...
- void clear ()
- iterator begin ()
- const_iterator begin () const
- iterator end ()
- const_iterator end () const
- reverse_iterator rbegin ()
- const_reverse_iterator rbegin () const
- reverse_iterator rend ()
- const_reverse_iterator rend () const
- size_type size () const
- bool empty () const

## Member Typedef Documentation

typedef XalanVector< bool > XalanNamespacesStack::BoolVectorType<bool>

typedef const XalanDOMString *(value_type::* XalanNamespacesStack::MemberFunctionType)(const XalanDOMString &) const

typedef XalanDeque< value_type, ConstructWithMemoryManagerTraits< value_type > > XalanNamespacesStack::NamespacesStackType<value_type, ConstructWithMemoryManagerTraits<value_type> >

typedef NamespacesStackType::const_iterator XalanNamespacesStack::const_iterator

typedef NamespacesStackType::const_reverse_iterator XalanNamespacesStack::const_reverse_iterator

typedef NamespacesStackType::iterator XalanNamespacesStack::iterator

typedef NamespacesStackType::reverse_iterator XalanNamespacesStack::reverse_iterator

typedef NamespacesStackType::size_type XalanNamespacesStack::size_type

typedef XalanNamespacesStackEntry XalanNamespacesStack::value_type

## Constructor & Destructor Documentation

XalanNamespacesStack::XalanNamespacesStack ( | MemoryManagerType & theManager )`[explicit]`

XalanNamespacesStack::~XalanNamespacesStack ( | )

## Member Function Documentation

void XalanNamespacesStack::addDeclaration ( | const XalanDOMString & thePrefix,
| const XalanDOMChar * theURI,
| XalanDOMString::size_type theLength )

void XalanNamespacesStack::addDeclaration ( | const XalanDOMString & thePrefix,
| const XalanDOMChar * theURI )

void XalanNamespacesStack::addDeclaration ( | const XalanDOMString & thePrefix,
| const XalanDOMString & theURI )

const_iterator XalanNamespacesStack::begin ( | ) const

iterator XalanNamespacesStack::begin ( | )

void XalanNamespacesStack::clear ( | )

bool XalanNamespacesStack::empty ( | ) const

const_iterator XalanNamespacesStack::end ( | ) const

iterator XalanNamespacesStack::end ( | )

const XalanDOMString * XalanNamespacesStack::getNamespaceForPrefix ( | const XalanDOMString & thePrefix ) const

const XalanDOMString * XalanNamespacesStack::getPrefixForNamespace ( | const XalanDOMString & theURI ) const

void XalanNamespacesStack::popContext ( | )

bool XalanNamespacesStack::prefixIsPresentLocal ( | const XalanDOMString & thePrefix )

| See if the prefix has been mapped to a namespace in the current context, without looking down the stack of namespaces.

void XalanNamespacesStack::pushContext ( | )

const_reverse_iterator XalanNamespacesStack::rbegin ( | ) const

reverse_iterator XalanNamespacesStack::rbegin ( | )

const_reverse_iterator XalanNamespacesStack::rend ( | ) const

reverse_iterator XalanNamespacesStack::rend ( | )

size_type XalanNamespacesStack::size ( | ) const

The documentation for this class was generated from the following file:

- XalanNamespacesStack.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.